> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cluster

> One cluster with the nodes assigned to it and their windows.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/inventory/clusters/{cluster_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/inventory/clusters/{cluster_id}:
    get:
      tags:
        - admin-inventory
      summary: Get Cluster
      description: One cluster with the nodes assigned to it and their windows.
      operationId: get_cluster_api_admin_inventory_clusters__cluster_id__get
      parameters:
        - name: cluster_id
          in: path
          required: true
          schema:
            type: string
            title: Cluster Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_InventoryClusterDetail_'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_InventoryClusterDetail_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/InventoryClusterDetail'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[InventoryClusterDetail]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    InventoryClusterDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        internalSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Internalslug
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        status:
          type: string
          title: Status
        vaultSshCaEnabled:
          type: boolean
          title: Vaultsshcaenabled
        securityScanEnabled:
          type: boolean
          title: Securityscanenabled
          default: true
        platformClusterId:
          anyOf:
            - type: string
            - type: 'null'
          title: Platformclusterid
        assignmentCount:
          type: integer
          title: Assignmentcount
          default: 0
        playbooksSyncState:
          anyOf:
            - type: string
            - type: 'null'
          title: Playbookssyncstate
        playbooksPrNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Playbooksprnumber
        playbooksPrUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Playbooksprurl
        playbooksSyncedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Playbookssyncedat
        siteSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Siteslug
        tenantSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenantslug
        assignments:
          items:
            $ref: '#/components/schemas/InventoryAssignmentSummary'
          type: array
          title: Assignments
      type: object
      required:
        - id
        - name
        - status
        - vaultSshCaEnabled
      title: InventoryClusterDetail
      description: A cluster with the nodes assigned to it and their windows.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    InventoryAssignmentSummary:
      properties:
        id:
          type: string
          title: Id
        nodeId:
          type: string
          title: Nodeid
        nodeName:
          type: string
          title: Nodename
        clusterId:
          type: string
          title: Clusterid
        clusterName:
          type: string
          title: Clustername
        clusterSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Clusterslug
        status:
          type: string
          title: Status
        type:
          type: string
          title: Type
        isController:
          type: boolean
          title: Iscontroller
          default: false
        startDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startdate
        endDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enddate
      type: object
      required:
        - id
        - nodeId
        - nodeName
        - clusterId
        - clusterName
        - status
        - type
      title: InventoryAssignmentSummary
      description: One node<->cluster membership window.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````